The [Blazor DataGrid](https://www.syncfusion.com/blazor-components/blazor-datagrid?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget) component is used to display and manipulate tabular data with configuration options to control the way the data is presented. It can pull data from data sources such as IEnumerable objects, OData web services, or DataManager and binding data fields to columns. It also displays the column header to identify the field with support for grouped records.The most important features available in the datagrid component are paging, sorting, filtering, searching, and grouping.

Key Features
* [Data sources](https://www.syncfusion.com/blazor-components/blazor-datagrid/data-binding?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Binds the datagrid component with IEnumerable, DataManager or perform manual data binding.
* [Sorting and grouping](https://www.syncfusion.com/blazor-components/blazor-datagrid/grouping?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Supports n level of sorting and grouping.
* [Filtering](https://www.syncfusion.com/blazor-components/blazor-datagrid/filtering?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Offers filter bar in each column to filter data.
* [Paging](https://www.syncfusion.com/blazor-components/blazor-datagrid/paging?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Allows easy switching between pages using the pager bar.
* [Editing](https://www.syncfusion.com/blazor-components/blazor-datagrid/editing?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Provides the options for create, read, update, and delete operations.
* [Columns](https://www.syncfusion.com/blazor-components/blazor-datagrid/column?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): The column definitions are used as the dataSource schema in the DataGrid. This plays a vital role in rendering column values in the required format.
    * Reordering: Allows drag and drop of any column anywhere in the grid’s column header row, thus allowing repositioning of columns.
    * Column Chooser: The column chooser provides a list of column names paired with check boxes that allow the visibility to be toggled on the fly.
    * Resizing: Resizing allows changing column width on the fly by simply dragging the right corner of the column header.
    * Freeze: Columns and rows can be frozen to allow scrolling and comparing cell values.
    * Foreign data source: This provides the option to show values from external or lookup data sources in a column based on foreign key/value mapping.
* [Selection](https://www.syncfusion.com/blazor-components/blazor-datagrid/selection?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Rows or cells can be selected in the datagrid. One or more rows or cells can also be selected by holding Ctrl or Command, or programmatically.
* [Aggregation](https://www.syncfusion.com/blazor-components/blazor-datagrid/aggregation?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Provides the option to easily visualized the Aggregates for column values.
* [Context menu](https://blazor.syncfusion.com/demos/datagrid/context-menu?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): The context menu provides a list of actions to be performed in the datagrid. It appears when a cell, header, or the pager is right-clicked.
* [Clipboard](https://blazor.syncfusion.com/demos/datagrid/clipboard?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Selected rows and cells can be copied from the datagrid
* [Export](https://blazor.syncfusion.com/documentation/datagrid/excel-exporting/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Provides the options to Export the datagrid data to Excel, PDF, and CSV formats.
* [RTL support](https://blazor.syncfusion.com/documentation/datagrid/global-local/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Provides right-to-left mode that aligns the datagrid content from right to left.
* [Localization](https://blazor.syncfusion.com/documentation/datagrid/global-local/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Provides an inherent support to localize the UI.
* [Live DataGrid](https://www.syncfusion.com/kb/12362/blazor-live-grid--a-quick-start-to-create-and-bind-live-data?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Live Blazor DataGrid is optimized for handling and updating large number of records at real-time suitable for binding financial records and more.
* [Master Detail Grid](https://blazor.syncfusion.com/demos/datagrid/master-details?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget): Blazor Master Detail Grid is a use case scenario, in which the details of a Master DataGrid record, is viewed in a separate Detail DataGrid by clicking the particular row. Simply click the row in master DataGrid, which shows the details in another Grid.

## Related links
[Learn More about Blazor DataGrid component](https://www.syncfusion.com/blazor-components/blazor-datagrid?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/datagrid?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/index/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/datagrid/overview?theme=bootstrap4&utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20DataGrid%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.
